# Property file for unit test usage. Usually, all 
# unit tests should run w/out a je.properties file, so
# the test can have total control over its environment.
# It may be useful to use a property file when debugging.
# This file should always be checked in with all properties
# commented out.
# $Id: je.properties,v 1.48 2008/04/18 22:57:38 mark Exp $

# Settings for permutations of unit testing:
#je.sharedCache=true
#je.evictor.lruOnly=false
#je.evictor.forcedYield=false
#je.env.forcedYield=true
#je.log.useNIO=true
#je.log.directNIO=true
#je.log.chunkedNIO=4096
#je.cleaner.threads=3
#je.log.checksumRead=false
#je.checkpointer.highPriority=true

# Setting je.txn.serializable=true here will cause all unit tests
# to run with the Serializable isolation level, regardless of what 
# isolation level is set in code via EnvironmentConfig. 
# But not all tests work in serializable isolation, for tests testing
# other three isolation degrees. In this case, these tests would fail.
# By using -DisolationLevel=serializable, test code can override this setting,
# by calling EnvironmentConfig.setSerializable(false).
# In other words, it won't influence tests which set different isolation level.
# So we should use ant test -DisolationLevel=serializable instead
#je.txn.serializableIsolation=true

#je.txn.deadlockStackTrace=true

#java.util.logging.ConsoleHandler.on=true
#java.util.logging.FileHandler.on=true
#java.util.logging.level=INFO

#je.env.runINCompressor=true
#je.compressor.deadlockRetry=3
#je.compressor.lockTimeout=5000

#je.env.runEvictor=true
#je.maxMemory defaults to 93% of jdb.maxMemory unless specified
#je.maxMemory=256000
#je.evictor.nodeScanPercentage=25
#je.evictor.evictionBatchPercentage=25

#je.env.runCheckpointer=true
#je.checkpointer.deadlockRetry=3

#je.verify.tree.dump=true
#je.verify.inlist=true
#je.verify.throw=false

#je.env.runCleaner=true
#je.cleaner.deadlockRetry=3
#je.cleaner.lockTimeout=5000
#je.cleaner.expunge=false
#je.cleaner.cluster=true

#je.env.backgroundReadLimit=50
#je.env.backgroundReadSleep=50000
#je.env.backgroundWriteLimit=1
#je.env.backgroundWriteSleep=500000
